/**
  *  \file ui/msgbox.h
  *  \brief Standard Message Boxes
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_MSGBOX_H
#define PCC_V2_UI_MSGBOX_H

#include "cpluslib/holder.h"
#include "cpluslib/string.h"
#include "ui/window.h"

class UIKeyTranslator;

class UIMessageBox : public UIWindow {
    ObjectHolder h;
    UIGroup&     group;
    UIKeyTranslator& trans;
    void init(const string_t& text);
 public:
    UIMessageBox(string_t text, string_t title);

    UIMessageBox& addButton(int id, string_t btn, UIKey k);
    UIMessageBox& addKey(int id, UIKey k);

    int    run();

    bool   doYesNoDialog();
    void   doOkDialog();
};

void messageBox(string_t text, string_t title);

#endif
