/**
  *  \file ui/uiglobal.h
  *  \brief Global Functions for User Interface
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_GLOBAL_H
#define PCC_V2_UI_GLOBAL_H

#include <vector>
#include "gfx/font.h"
#include "gfx/gfx.h"
#include "ui/window.h"

enum {
    FONT_TITLE       = 0,            ///< Large font used for titles (22pt; type 1 in fontcvt).
    FONT_NORMAL_BOLD = 1,            ///< Normal font used for everything (16pt; type 4).
    FONT_SMALL       = 2,            ///< Small font used for chart/popups/...\ (12pt; type 3).
    FONT_FIXED       = 3,            ///< Fixed-width font (16pt; type 2).
    FONT_NORMAL      = 4,
    FONT_TITLE_BOLD  = 5,
    FONT_SMALL_BOLD  = 6,
    MIN_FONTS        = 7,
    MAX_FONTS        = 10
};

extern Ptr<GfxFont>   fonts[];
extern int            font_heights[];
extern int            font_ems[];
extern GfxPoint       font_sizes[];
extern Ptr<UIRoot>    ui_root;
extern Ptr<GfxSurface> ui_screen;
extern int            ui_screen_bits;

class StandardCommandLineParser;

void initUIOptions(StandardCommandLineParser&);
void initUIGlobals(const char* iconName, const char* appName);

void postTimerEvent();

void doScreenshot();

#endif
